Welcome to PDFCreator!

PDFCreator Help

Welcome to PDFCreator!

Thank you for downloading PDFCreator and welcome to the PDFCreator Help Menu. To get started, click on a link below or search for a topic by using the menu on the left.

Help Introduction

What is PDFCreator?

Features

Donate


Help Introduction

Help Introduction

You can access the help menu by clicking the Help command on the Help (?) menu in the print monitor. You can also reach it by hitting F1 on your keyboard anywhere in the program.

Here is a brief overview on how to navigate this help menu:

  • Select the Contents tab to browse the help menu by category.
  • Select the Index tab to find topics that are similar to your keyword search.
  • Select the Search tab to search for a particular topic.
  • Select the Favorites tab to save your favorite topics for quick and easy access.


What is PDFCreator?

What is PDFCreator?

PDFCreator is an open source application that can create PDF's from just about any program that prints using windows printers. With PDFCreator you can create PDF's, Postscript and Encapsulated Postscript files, create images from your documents, combine documents and much more.


Features

Features

  • Create PDF's from just about any program that prints using Windows printers.
  • Create documents in the following formats: Portable Document Format (PDF), Postscript (PS), Encapsulated Postscript (EPS), PNG, JPEG, BMP, PCX, and TIFF.
  • Combine multiple documents into one PDF.
  • Password protect and apply up to 128 bit encryption to your PDF documents.
  • Automatically save PDF documents with current settings without being prompted for information
  • And much more!


What's New in PDFCreator

What's New in PDFCreator

Version 0.9.0 (January 19, 2006)

    Improvements:
  • Using GPL-Ghostscript 8.15 / AFPL Ghostscript 8.53
  • Added a COM Interface (with description and samples)
  • Added the hidden settings o PDFCompressionColorCompression*, PDFCompressionGreyCompression* to change the standard compression factors
  • Added the new commandline parameter /NoPSCheck (Now PDFCreator is compatible with PDF-T-Maker)
  • Added systray property
  • Added "Cancel" button to the printing dialog
  • Added the feature to detect the important framedyn.dll file to the setup.
  • Added german help file
  • AMD64 Processor Support
  • Improve email support.
  • Terminalserver/Citrix support
  • Support other shells other than explorer (e.g. geoshell, litestep)
    Bug Fixes:
  • Fixed some minor bugs.
    Known issues:
  • No hyperlinks possible
    • Hyperlinks for MS Word are possible with the combination of PDF-T-Maker and PDFCreator.

Version 0.8.0 (April 2, 2004)

    Improvements:
  • Now it is possible to donate to us. (See: http://www.PDFCreator.de.vu/)
  • Security! PDFCreator can handle either security settings from AFPL Ghostscript above 8.14 or it can use then program 'pdfenc' from Steven Lee.
  • Improved printer driver handling
  • 2 new variables: OptionsEnable and OptionsVisible (a simple protections to save the options - useful for administrators)
  • Set this variables manually in the file PDFCreator.ini to save the options.
  • Email Clients: Succesfully tested with MS Outlook, Outlook Express, Thunderbird, Eudora, Pegasus Mail (WsendTo.exe), The Bat!, Foxmail, Sylpheed-Claws, IncrediMail. Problems with: Ak-Mail, GeMail, Postguard, Vivian Mail
  • Added PDF document properties 'Keywords' and 'Subject'
  • You can add printable files (also via 'Drag and Drop') and through the windows explorer context menu.
  • Added Commandline parameter PF: Convert a printable file into a pdf document. Example: PDFCreator.exe -PF"c:\autoexec.bat"
  • Update check from PDFCreator Menu
    Bug Fixes:
  • Fixed a problem using email function
  • Fixed a problem using combine function
  • Fixed some minor bugs
    Known issues:
  • Doesn't work in remote sessions on terminalservers (Please patient, we are working hard on this problem.)
  • No hyperlinks possible

Version 0.7.1 (July 22, 2003)

    Bug Fixes:
  • Fixed a problem using email function

  • Fixed a problem using non-conform postscript files

  • Command line parameter: -CLEARCACHE to clear the temp. cache

Version 0.7.0 (July 17, 2003)

    What's new:
  • 2 new output formats: Postscript (PS) and Encapsulated Postscript (EPS)

  • Process priority can be changed. (only for NT and above)

  • Enhanced error handling

  • Improved program speed

  • Individual installation of Ghostscript

  • Ask if .ps files should be associated with PDFCreator

  • Command line parameter: -IF"My Inputfile.ps" -OF"My Outputfile.pdf"

  • Special filename handling include filename substitutions

  • Switch back to Ghostscript 8.00

  • Support the Outlook Format: Plain Text

  • New test page
    Bug Fixes:
  • Fixed up the 'subst' problem in the 'Save as' dialog

  • Fixed the problem that the program can't create a temp directory

  • Fixed some localization errors

  • Fixed some problems in the setup

  • Fixed the problem on computers with low resources

  • (PDFCreator does not create pdfs with many pages.)

  • Fixed 'Laufzeitfehler 9' when start PDFCreator

  • Fixed uninstall printer driver

  • Can handle special drives and partitions

Version 0.6.0 (May 18, 2003)

  • New release with a completely new redesign


Installation Types

Installation Types

There are two different types of installations you can use when you first install PDFCreator. They are a standard installation and a server installation. Below is some more information on both types.

Standard Installation: A standard installation sets up a standard printer for PDFCreator and allows that computer to create PDF documents, Bitmap images, and Postscript files.

Server Installation: A server installation sets up a network printer for PDFCreator and allows computers on your network to create PDF documents, Bitmap images, and Postscript files remotely. If you use a server installation on a terminal server, make sure that you do not install PDFCreator in application mode.

With a server installation, you can use Auto-Save Mode to automatically save documents to a specified directory with UNC-pathnames and/or filename tokens (for more information on Auto-Save Mode, click here). When using this feature, make sure the user has access rights to save in the specified directory.
Example: \\file1\users\<username>\PDFs

Note: When using a server installation, make sure to create a share for the printer with user access rights belonging to yourself. Also, make sure that at least one instance of PDFCreator is open. You can install PDFCreator as a service by using the "instsrv.exe" and "srvany.exe" tools from the resource kit of your Windows installation. If you do install PDFCreator as a service, make sure to use a user account with access rights writing in a Auto-Save directory. Settings can only be changed on the server. Users cannot change any settings in PDFCreator.


Create a PDF

Create a PDF

Creating a PDF with PDFCreator couldn't be easier. Just follow the steps below and you will be creating PDF's in no time. There are five ways to create PDF in PDFCreator: Printing, Drag and Drop, Document Adding, Command Line, and via Windows Explorer.

Printing
Drag and Drop
Document Adding
Command Line
Windows Explorer

Method 1: Printing

1. Open the document you wish to convert into a PDF in its default application.

2. Print the document as you would on a standard printer.

3. When the print dialog appears, change the printer from your default printer to the PDFCreator printer. If the PDFCreator printer is your default printer, you do not have to change it. Then click OK.

4. Another window will appear asking you to fill in some information to create your PDF. Click on the Save button to pick the location where you want to save the PDF or click the Waiting button to create the PDF at a later time.

    Note: This is also the location where you can specify what format you want to save the document in. You can save in PDF, PNG, JPEG, BMP, PCX, TIFF, PS, and EPS format.

5. If you selected Save, your PDF will be created and opened up in your default PDF viewer. If you selected Waiting, the PDFCreator Print Monitor will open up with the document in the queue.

Back to Top

Method 2: Drag and Drop

1. Open the PDFCreator Print Monitor.

2. Click and drag the document or file you wish to create into a PDF into the Print Monitor. If PDFCreator is not your default printer, it will ask to become it temporarily in order to complete the request. It will return the default printer status to the original printer once the process has been completed.

3. Another window will appear asking you to fill in some information to create your PDF. Click on the Save button to pick the location where you want to save the PDF or click the Waiting button to create the PDF at a later time.

    Note: This is also the location where you can specify what format you want to save the document in. You can save in PDF, PNG, JPEG, BMP, PCX, TIFF, PS, and EPS format.

4. If you selected Save, your PDF will be created and opened up in your default PDF viewer. If you selected Waiting, the PDFCreator Print Monitor will open up with the document in the queue.

Back to Top

Method 3: Document Adding

1. Open the PDFCreator Print Monitor.

2. Click the Document menu and select Add.

3. In the file type box, select All Files and then select the document you wish to convert to PDF. If PDFCreator is not your default printer, it will ask to become it temporarily in order to complete the request. It will return the default printer status to the original printer once the process has been completed.

4. Another window will appear asking you to fill in some information to create your PDF. Click on the Save button to pick the location where you want to save the PDF or click the Waiting button to create the PDF at a later time.

    Note: This is also the location where you can specify what format you want to save the document in. You can save in PDF, PNG, JPEG, BMP, PCX, TIFF, PS, and EPS format.

5. If you selected Save, your PDF will be created and opened up in your default PDF viewer. If you selected Waiting, the PDFCreator Print Monitor will open up with the document in the queue.

Back to Top

Method 4: Command Line

1. Go to the Start menu and click on Run.

2. In the Open box type: PDFCreator.exe /PF"Path of file to be converted" (Make sure to type the full path to PDFCreator.exe and there is no space between /PF and the path). You can also place this command in a shortcut, batch file, or in the Command Window/DOS Prompt.

3. If PDFCreator is not your default printer, it will ask to become it temporarily in order to complete the request. It will return the default printer status to the original printer once the process has been completed.

4. The document's defualt application will open up and automatically print the document and exit. Then PDFCreator will open up a window and ask you to fill in some information to create your PDF. Click on the Save button to pick the location where you want to save the PDF or click the Waiting button to create the PDF at a later time.

    Note: This is also the location where you can specify what format you want to save the document in. You can save in PDF, PNG, JPEG, BMP, PCX, TIFF, PS, and EPS format.

5. If you selected Save, your PDF will be created and opened up in your default PDF viewer. If you selected Waiting, the PDFCreator Print Monitor will open up with the document in the queue.

For more command line parameters, click here.

Back to Top

Method 5: Windows Explorer

1. Right click on any document and select Create PDF with PDFCreator.

2. If PDFCreator is not your default printer, it will ask to become it temporarily in order to complete the request. It will return the default printer status to the original printer once the process has been completed.

3. The PDFCreator Print Monitor will appear and the document will added to the queue. Another window will appear asking you to fill in some information to create your PDF. Click on the Save button to pick the location where you want to save the PDF or click the Waiting button to create the PDF at a later time.

    Note: This is also the location where you can specify what format you want to save the document in. You can save in PDF, PNG, JPEG, BMP, PCX, TIFF, PS, and EPS format.

4. If you selected Save, your PDF will be created and opened up in your default PDF viewer. If you selected Waiting, the PDFCreator Print Monitor will open up with the document in the queue.

Back to Top


Email a PDF

Email a PDF

Emailing a PDF is just like creating a PDF in PDFCreator.

1. Open the document you wish to convert into a PDF in its default application.

2. Print the document as you would on a standard printer.

3. When the print dialog appears, change the printer from your default printer to the PDFCreator printer. If the PDFCreator printer is your default printer, you do not have to change it. Then click OK.

4. Another window will appear asking you to fill in some information to create your PDF. Click on the Email button and pick the location where you want to save the PDF. This location is necessary in order to attach the PDF to the email.

    Note: This is also the location where you can specify what format you want to save the document in. You can save in PDF, PNG, JPEG, BMP, PCX, TIFF, PS, and EPS format.

5. Your PDF will be created and opened up in your default PDF viewer and will automatically attached to a new email in your favorite Email program.


Combine Documents

Combine Documents

Combining documents is a very useful feature that allows you to take two separate documents and convert them into one PDF. Combining documents is as easy as printing two documents.

1. Open the documents you wish to combine.

2. Print the first document as you would on a standard printer.

3. When the print dialog appears, change the printer from your default printer to the PDFCreator printer. If the PDFCreator printer is your default printer, you do not have to change it. Then click OK.

4. Another window will appear asking you to fill in some information to create your PDF. Then click on the Waiting button. The PDFCreator print monitor comes up and the document is in the queue.

5. Go to the second document and print it using the PDFCreator printer.

6. The PDFCreator print monitor now shows both documents you wish to combine in the queue. Select both documents and go the the Document menu and click on Combine. The two documents will become one.

7. Now click on the Documents menu and click Print. PDFCreator will ask for some information and where you want to save it or email it.

8. Your PDF will be created and opened up in your default PDF viewer or opened in your email program.


Command Line Parameters

Command Line Parameters

PDFCreator enables you to create documents via the command line interface. Here are the different commands that PDFCreator supports:

/CheckInstance
If you use this switch PDFCreaor shows a message box with the information about running instances of PDFCreator, PDFSpooler and Transtool. You can combine this parameter with the switch /NoStart. If you see the property "Local" there exists a local instance. Please check the desktop, Systray or the Task Manager to find the local instance. If you see only the property "Global" than there exists at least one instance in one of your terminal server sessions. This switch is usefull for debugging and for administrators to check if there is a running instance of PDFCreator on a terminal server.
Example: PDFCreator.exe /CheckInstance

/ClearCache
Clears all PDFCreator temporary files. This is useful if PDFCreator will not start because of a corrupt temp file.
Example: pdfcreator.exe /ClearCache

/IF<input-filename> /OF<output-filename>
Convert a postscript file to a PDF or bitmap. The /OF parameter must be used in conjunction with the /IF parameter. To set the output file format, include the file extension in the output file name. There is NO space between the parameters and the file names.
Examples:
pdfcreator.exe /IF"C:\description.ps" /OF"C:\description.pdf"
pdfcreator.exe /IF"C:\description.ps" /OF"C:\description.tif"

/NoAbortIfRunning
Opens a new instance of PDFCreator without checking if the program is already running. It is useful to combine this parameter with the /NoProcessing parameter.
Example: pdfcreator.exe /NoAbortIfRunning

/NoProcessing
When PDFCreator is opened with the /NoProcessing option, all documents that are sent to PDFCreator are not processed immediately. They are stored in the print queue until PDFCreator is opened without the /NoProcessing option.
Example: pdfcreator.exe /NoProcessing

/NoProcessingAtStartup: When you use this parameter, PDFCreator will start without processing any documents. You can manually start processing by going to the Document menu and selecting Print or by unchecking the Printer Stop option in the Printer menu. The setting is useful if you want collect some files first, then combine the files into one and create a pdf.
Properties:
0 - Off (Default)
1 - On

/NoStart
When you use the /PF parameter, PDFCreator stays open after it's done its task. The /NoStart parameter automatically closes PDFCreator after it is done.
Example: pdfcreator.exe /NOSTART /PF"C:\help.doc"

/OptionsFile<option-filename>
Specifies the particular options file PDFCreator should use.
Examples: pdfcreator.exe /OptionsFile"C:\MyPDFCreator.ini"
(Hint: With this parameter (and a work around) you can use more than one printer on a machine.)

/PF<filename>
Print a file with the standard program linking with the extension of the file. In general, this option is useful in connection with Auto-Save mode. There is NO space between the parameter and the file name.
Example: pdfcreator.exe /PF"C:\help.doc"
You can also use wildcards to create PDF's of all documents in a specified folder.
Example: pdfcreator.exe /PF"C:\*.doc"

/ShowOnlyLogfile
Opens PDFCreator in the log file. No other windows are opened.
Example: pdfcreator.exe /ShowOnlyLogfile

/ShowOnlyOptions
Opens PDFCreator in the Options Panel. No other windows are opened.
Example: pdfcreator.exe /ShowOnlyOptions


Change the Language

Change the Language

To change the default language in PDFCreator, open the Print Monitor, click on the Language menu and select the language you wish to use.


Settings in PDFCreator

Settings in PDFCreator

Since version 0.8.1 RC8, PDFCreator saves all settings in the registry. If you choose the "Standard installation" PDFCreator saves settings to the following registry location: HKCU\Software\PDFCreator

If your operating system is Windows 2000 and above, the setup saves some settings for the default user in the following registry location: HKU\.DEFAULT\Software\PDFCreator

In a "Server installation" of PDFcreator, the settings are saved to the following registry location: HKLM\Software\PDFCreator

While the default location for settings is in the registry, it is also possible to store the settings in the the old .ini files mode. In this case PDFCreator save all settings to ini files. It is also possible to add an external ini file as default file. For more information use the commandswitch /? on the setup program.
Attention: There exists some problems with server based profiles and if the application data path is on a network drive. Because of this case server installations can't use the old ini-mode.

If you choose the "Standard installation" and are saving to ini files, the settings are saved to the application data path of user:
Example: C:\Documents and Settings\[user profile]\Application Data\PDFCreator

If your operating system is Windows 2000 and above, the setup saves some settings for the default user in the following directory:
Example: C:\Documents and Settings\Default User\Application Data\PDFCreator

In a "Server installation" of PDFCreator, settings are saved in the followind directory:
C:\Documents and Settings\All User\Application Data\PDFCreator

Procedure of reading the settings

On Windows 2000 and above, PDFCreator reads the settings from the default user first. If there are no settings, PDFCreator will use its internal default settings. Next, PDFCreator reads the settings from the user. Only the user settings PDFCreator finds will overwrite the settings from the default user. Finally, PDFCreator looks for machine settings in
HKLM\Software\PDFCreator
or
C:\Documents and Settings\All User\Application Data\PDFCreator.
Only the machine settings PDFCreator finds will overwrite the settings from the user. With this behaivour it is possible for administrators to define settings for all users.

Procedure of saveing the settings

If you choose the "Standard installation" of PDFCreator, settings are saved to either of the following:
HKCU\Software\PDFCreator
or
C:\Documents and Settings\[user profile]\Application Data\PDFCreator

If you choose the "Server installation" of PDFCreator, settings are saved to either of the following:
HKLM\Software\PDFCreator
or
C:\Documents and Settings\All User\Application Data\PDFCreator

Hint: If you need to use settings other than the default, use the /REGFile= or /INIFile= parameters on the installation program. For more information on the parameters that can be used on installation program, use the /? parameter.


Hidden Settings

Hidden Settings

PDFCreator includes several hidden settings that are used for testing purposes. These default storage area for these features is in the registry. It is possible to store these settings in an .ini file. To store settings in an .ini file, you must start a new installation and use the /useINI parameter. If you need to use settings other than the default, use the /INIFile= parameters on the installation program. For more information on the parameters that can be used on installation program, use the /? parameter.

AdditionalGhostscriptParameters: With this parameter you can add your parameters list to PDFCreator if you need some missing ghostscript parameters. To separate the parameters, use the pipe symbol |. This setting is empty by default.
Example:
AdditionalGhostscriptParameters=-dTextAlphaBits=4|-dGraphicsAlphaBits=4|-dDOINTERPOLATE

AdditionalGhostscriptSearchpath: This setting is for the user to add additional paths where Ghostscript should looking for resources. For example, you can add paths to more fonts.

AddWindowsFontpath: This setting allows the user to all the Windows font path to the Ghostscript font paths. This setting is on by default.
Properties:
0 - off
1 - on (Default)

ClientComputerResolveIPAddress: In special cases is it possible that the token <ClientComputer> contains an IP-address instead a hostname. If you enable this feature, PDFCreator will try to resolve the IP-address into a hostname.
Properties:
0 - Off (Default)
1 - On

DeviceWidthPoints, DeviceHeightPoints: These two settings set the desired width and height of the paper in points (units of 1/72 of an inch). This is used as an alternative to the Papersize setting, not in combination with.
Properties:
By default, -1 means that PDFCreator doesn't use this setting.

DisableEmail: This setting deactivates the email button in PDFCreator.
Properties:
0 - Email button is enabled (Default)
1 - Email button is disabled

NoProcessingAtStartup: When you use this setting, PDFCreator will start without processing any documents. You can manually start processing by going to the Document menu and selecting Print or by unchecking the Printer Stop option in the Printer menu. The setting is useful if you want collect some files first, then combine the files into one and create a pdf.
Properties:
0 - Off (Default)
1 - On

OnePagePerFile: This setting allows the user to create a new file for every page in the original document. Due to a restriction in Ghostscript, this does not work for PDF and EPS file formats.
Properties:
0 - Off (Default)
1 - On

OptionsDesign: With this setting you can change the colors of the frames in the options dialog. This can be helpful for people with sensitive eyes or people with poor eyesight.
Properties:
1 - Red and blue gradient (Default)
2 - Simple red and blue color

Papersize: Use this setting to can set the default paper size. This setting is empty by default. To use this setting, use paper size known to Ghostscript.

The following are some of the available paper sizes that can be used in the Papersize setting:
11x17, ledger, legal, letter, lettersmall, archE, archD, archC, archB, archAa0, a1, a2, a3, a4, a4small, a5, a6, a7, a8, a9, a10, isob0, isob1, isob2, isob3, isob4, isob5, isob6, c0, c1, c2, c3, c4, c5, c6

PDFCompressionColorCompression*, PDFCompressionGreyCompression*: With help of these parametres
        it is possible to set individual compression factors for each compression degree so the compression of colour and
        greyscale pictures can be controlled much better. All values must be greater than 0.
Default values:
PDFCompressionColorCompressionJPEGMaximumFactor=2
PDFCompressionColorCompressionJPEGHighFactor=0.9
PDFCompressionColorCompressionJPEGMediumFactor=0.5
PDFCompressionColorCompressionJPEGLowFactor=0.25
PDFCompressionColorCompressionJPEGMinimumFactor=0.1
PDFCompressionGreyCompressionJPEGMaximumFactor=2
PDFCompressionGreyCompressionJPEGHighFactor=0.9
PDFCompressionGreyCompressionJPEGMediumFactor=0.5
PDFCompressionGreyCompressionJPEGLowFactor=0.25
PDFCompressionGreyCompressionJPEGMinimumFactor=0.1

PDFOptimize: When this setting is used, PDFCreator will optimize its PDF's for fast web viewing. Instead of the entire PDF document being downloaded before being displayed, it will display it as it is downloaded. Encryption cannot be used when this setting is enabled. If you do use encryption, the PDF is not optimized.
Properties:
0 - Off (Default)
1 - On

PDFOwnerPasswordString: This setting is used when security is enabled for PDF documents. When used, PDFCreator will automatically put in the password supplied in the PDFCreator.ini file for the owner password. WARNING: text in the PDFCreator.ini file is not encrypted. Use this feature at your own risk.

PDFUserPasswordString: This setting is used when security is enabled for PDF documents. When used, PDFCreator will automatically put in the password supplied in the PDFCreator.ini file for the user password. WARNING: Text in the PDFCreator.ini file is not encrypted. Use this feature at your own risk.

PrintAfterSaving: Automatically print a document after saving it.
Properties:
0 - Off (Default)
1 - On

PrintAfterSavingPrinter: The name of printer if you use the setting PrintAfterSaving. If this setting is empty or the printer doesn't exist, a dialog will appear to choose a printer. You can use a local printer and a network printer by using the prefix "\\spool\". This setting is empty by default.
Examples:
PrintAfterSavingPrinter="\\spool\HP4300"
PrintAfterSavingPrinter="\\spool\\\printserver\HP4300"

PrintAfterSavingQueryUser: This setting is used in conjunction with the PrintAfterSaving setting. This setting enables the user to show or hide a printer dialog.
Properties:
0 - Off (Default)
1 - Shows the standard printer dialog
2 - Shows the printer setup dialog
3 - Select the default Windows printer without any user interaction

PrintAfterSavingNoCancel: If you use the PrintAfterSaving setting, this setting disables or hides the progress dialog when set to on.
Properties:
0 - Off (Default)
1 - On

PrintAfterSavingDuplex: If you use the PrintAfterSaving setting, you can use this setting to switch the duplex printing.
Properties:
0 - no duplex printing (Default)
1 - use duplex printing if supported by the printer

PrintAfterSavingTumble: If you use the setting PrintAfterSaving and PrintAfterSavingDuplex is on you can use this setting to choose the duplex tumble.
Properties:
0 - don't use tumble (Default)
1 - use tumble

RemoveAllKnownFileExtensions: This setting enables PDFCreator to remove all known file extensions beginning, from the right, until there is no known file extension. For example, the internal title of postscript file is 'Pic.jpg.-12.31.2005.pcx'. The title then becomes 'Pic.jpg.-12.31.2005'. This setting improves the save process.
Properties:
0 - off
1 - on (Default)

RunProgramAfterSaving: This setting allows the user to launch a separate program after a document is saved using PDFCreator. This is used in conjunction with the RunProgramAfterSavingProgramname setting. There are some test scripts in the application folder of PDFCreator that can be used with this setting.
Properties:
0 - Off (Default)
1 - On

RunProgramAfterSavingProgramname: This setting specifies the program to be used when the RunProgramAfterSaving setting is enabled.
Example: RunProgramAfterSavingProgramname="C:\program files\my program\my program.exe"

RunProgramAfterSavingProgramParameters: This setting is used in conjunction with the RunProgramAfterSaving setting. This allows the user to specify any parameters for the new program that is being launched with the RunProgramAfterSaving and RunProgramAfterSavingProgramname settings.

RunProgramAfterSavingWaitUntilReady: This setting is used in conjunction with the RunProgramAfterSaving setting. It allows the user to specify whether or not PDFCreator waits until the program is ready, or continues on to the next job/closes.
Properties:
0 - PDFCreator doesn't wait and starts the next job, or close. (Default)
1 - PDFCreator waits until the program is ready.

RunProgramAfterSavingWindowstyle: This setting is used in conjunction with the RunProgramAfterSaving setting. It allows the user to specify the window style of the new program that is launched when a document is created using PDFCreator.
Properties:
0 - Hide
1 - NormalFocus
2 - MinimizedFocus
3 - MaximizedFocus
4 - NormalNoFocus
6 - MinimizedNoFocus

RunProgramBeforeSaving: This setting allows the user to launch a separate program before a document is saved using PDFCreator. This is used in conjunction with the RunProgramBeforeSavingProgramname setting. PDFCreator waits until the program is ready. There are some test scripts in the application folder of PDFCreator that can be used with this setting.
Properties:
0 - Off (Default)
1 - On

RunProgramBeforeSavingProgramname: This setting specifies the program to be used when the RunProgramBeforeSaving setting is enabled.
Example: RunProgramBeforeSavingProgramname="C:\program files\my program\my program.exe"

RunProgramBeforeSavingProgramParameters: This setting is used in conjunction with the RunProgramBeforeSaving setting. This allows the user to specify any parameters for the new program that is being launched with the RunProgramBeforeSaving and RunProgramBeforeSavingProgramname settings.

RunProgramBeforeSavingWindowstyle: This setting is used in conjunction with the RunProgramBeforeSaving setting. It allows the user to specify the window style of the new program that is launched before a document is created using PDFCreator.
Properties:
0 - Hide
1 - NormalFocus
2 - MinimizedFocus
3 - MaximizedFocus
4 - NormalNoFocus
6 - MinimizedNoFocus

SendMailMethod: This option allows the user to set the method in which PDFCreator sends the document to email.
Properties:
0 - Automatic: PDFCreator detects the mail client and chooses the best method. (Default)
1 - MAPI: PDFCreator uses the MAPI interface.
2 - sendmail.dll: PDFCreator uses the "Send To/Mail Recipient" shell extension.

ShowAnimation: This setting enables the user to disable the animation during the process of creating a PDF or bitmap file. The animation is on by default.
Properties:
0 - show no animation
1 - show an animation (Default)

StampFontColor: Changes the font color for the StampString setting.

StampFontname: Changes the font for the StampString setting.

StampFontsize: Changes the font size for the StampString setting.

StampOutlineFontthickness: If the StampUseOutlineFont is enables, changes the font thickness for the outline font.

StampString: When a text string is placed in this setting, PDFCreator puts a "stamp" in the center of each page of the document with that text. You can change the stamps font, color, size, and outline by using the following settings. WARNING: This setting is very experimental. When this setting is used, some pages of the document can become corrupted. Make sure to check your PDF after you create it.

StampUseOutlineFont: Changes whether or not an outline is used for the text instead of full color text in the StampString setting.
Properties:
0 - Off (Default)
1 - On

StandardCreationdate: This setting enables the user to place a standard creation date on all documents created by PDFCreator.

StandardDateformat: This setting enables the user to change the date format that PDFCreator uses to make its creation dates. Not all date formats are allowed. Please check the settings for your system for correct date formats.

StandardKeywords: This setting enables the user to place a standard set of keywords in all documents created by PDFCreator.

StandardModifydate: This setting enables the user to place a standard last modified date on all documents created by PDFCreator.

StandardSaveformat: This setting sets the standard save format for the save dialogs. The default standard format is pdf. The following formats are allowed for this setting: pdf, png, jpg, bmp, pcx, tif, ps, eps.
Example:
StandardSaveformat=tif

StandardSubject: This setting enables the user to place a standard subject on all documents created by PDFCreator.

StandardTitle: This setting enables the user to place a standard title on all documents created by PDFCreator.

ToolBars: This setting enables the user to activate or deactivate the toolbars in PDFCreator.
Properties:
1 - Shows the standard toolbar (Default)
2 - Shows a special toolbar for quickly sending documents as email
3 - Shows both toolbars


Updating PDFCreator

Updating PDFCreator

PDFCreator lets you check for updates to its software directly in the print monitor. All you have to do is click on the ? menu and then on the Check Update link. Please make sure you are connected to the internet before you check for updates.


Frequently Asked Questions

Frequently Asked Questions

Q: What is the difference between the AFPL and the Ghostscript version of PDFCreator?

A: The main difference is the Ghostscript version used. The AFPL version is newer than the GPL version, but the license is more restrictive. If you just want to use PDFCreator, then both versions are fine and the AFPL should be prefered, as it is far better. If you need an aspect of the license, that is not covered by the AFPL but by the GPL, then you should download the GPL version.

Q: After installing PDFCreator I get an Error "Exception EInOutError in module is-XXXXX.exe at 0000631C. File not found". What can I do?

A: This is a problem with old InstallShield installations which should have been completed some time ago. In most cases you can safely delete the file with the given filename from your windows directory. If you are not sure if they are important, then move them to a backup folder.

Q: I cannot search/Copy & Paste the text in my PDF file. What ca I do?

A: This is a problem with a wrong printer driver installed by PDFCreator 0.7.1. Please uninstall PDFCreator, reboot and install the latest version.

Q: I have installed PDFCreator but it does not work, what should I do?

A: Please check if a printer driver is installed. If not, try to uninstall PDFCreator. Reboot and install it again. Reboot again and check if a printer is installed. If not, check the SetupLog.txt in the PDFCreator directory. If an error has occured, then let us know in the forums at SourceForge.net.

Q: The printer driver is not compatible with a policy enabled on your computer that blocks NT 4.0 drivers

A: The error message you get is because of a Group Policy that by default disallows installation of printers using kernel-mode drivers. Kernel-mode drivers have access to system-wide memory, and poorly written drivers can cause Blue Screens. To allow installation of these kind of drivers, follow these steps:

  1. Click Start and then Run
  2. Write gpedit.msc and press ENTER
  3. Navigate to Computer Configuration/Administrative Templates/Printers and change Disallow installation of printers using kernel-mode drivers to Disabled

Q: Why does black text appear to be slightly grey?

A: The color model CMYK lets black text appear slightly grey though they have a black level of 100%. To solve this set the color model to RGB in the settings for PDF files.

Q: Does PDFCreator support program XYZ?

A: PDFCreator supports any program that is able to print via the standard windows printer. The output will look as it is sent to the printer, which normally is the way it looks on the screen.


General Settings

General Settings

The General Settings page sets the basic properties that the entire PDFCreator application will use.

Associate PDFCreator with Postscript Files: When this is clicked, PDFCreator becomes the default application for opening Postscript (.ps) files in Windows. Do not click this if you have another program that you wish to be the default instead.

Processpriority: The process priority determines how much of your computer's processing power will go into creating the PDF when you go to print. If changed, the speed at which PDFCreator creates the new documents will increase or decrease. This can be useful on systems with low resources.

No Confirmation on Temporary Changing to Default Printer: Occasionally, PDFCreator is required to be the default printer to perform some tasks. When checked, PDFCreator automatically changes itself to the default printer temporarily to complete the task. When not checked, PDFCreator will ask each time it is needed.

Integrate PDFCreator into Shell: When this button is clicked, PDFCreator integrates itself with the Windows shell. When you right-click on selected documents in Windows Explorer a new menu item will appear called "Create PDF with PDFCreator". This enables the user to quickly convert documents to PDF without having to open the document. Note that this functionality requires PDFCreator to be temporarily assigned the default printer status.

Remove Shell Integration: When clicked, removes the PDFCreator shell integration described above.

Print Test Page: Creates a sample PDF to test the PDFCreator printer and drivers. This allows the user to make a PDF without having to go into another program to test the application. This is especially useful when troubleshooting PDFCreator on your system.


Ghostscript Settings

Ghostscript Settings

The Ghostscript Settings page sets the properties for the Ghostscript version being used.

Ghostscript Version: Lists the versions of Ghostscript installed on your machine. The default value is the internal version of Ghostscript that comes with PDFCreator. Change this setting only if you want to use another pre-installed version of Ghostscript.


Document Properites

Document Properties

The document properties section allows the user to set some generic properties for use in all PDF's created by PDFCreator.

Use Standard Author: When this item is checked, it allows the user to set a standard author that will be used every time a PDF is created. It also adds a author token to the author's name, such as Computername, DateTime, Title, Username, ClientComputer, and the RedMon tokens. Please see the Auto-Save section for more information on the tokens.

Use the current Date/Time for 'Creation Date': When checked, this sets the current date and time in the creation date instead of the date and time the document was originally created.


Save Settings

Save Settings

The Save settings menu allows the user to change the way PDFCreator names the files it creates. Below is a list of options in the Save settings menu:

Filename: The filename option is where you change the way you want PDFCreator to name the documents it creates. The default is to name PDF's by the source document's title and then author, if it exists.

Filename Substitution: If you don't want to change the filename settings for every document you create but you want to change they way files created in a certain program are saved, you can use filename substitution. For example, some Microsoft Word documents when converted into PDF will be named filename.doc.pdf. You can remove the .doc from the filename automatically by adding a filename substitution to replace ".doc" with "" (or nothing).


Auto-Save Mode

Auto-Save Mode

Auto-Save Mode allows the user to automatically create PDF's with a predefined settings and save it to a predefined location. When Auto-Save Mode is enabled PDFCreator does not ask for a filename and a location. Below is the list of settings that must be set for Auto-Save Mode:

  • Auto-Save format: The save format is the file type that you want PDFCreator to save the new document as.
  • Filename: Sets the file name that you want all documents you create to have. the <DateTime> variable inputs the creation date and time as the file name.
  • Filename-Token: The filename-token is another variable that is added to the documents file name. Here is the list of filename-tokens you can use:
    • <Author> - Gives the preview author name
    • <Computername> - Gives the name of the computer.
    • <ClientComputer> - Gives the computer name or IP address of the client computer asking for the PDF (for use in server installations). This can also be used in the auto save directory to save directly to client computers (i.e. "\\<ClientComputer>\c$\files").
    • <DateTime> - Gives the date and time that the PDF is created.
    • <Username> - Gives the username of the active session of Windows.
  • Directory: An optional feature is to set a different directory to automatically save the documents. The following tokens can be used in the directory field:
    • <MyFiles> - Gives the directory of the user's My Documents directory.
    • <MyDesktop> - Gives the director fo the user's Desktop directory.
    • <Temp> - Gives the temporary path of the logged in user.

RedMon Tokens
All RedMon enviroment variables are also available as tokens in PDFCreator. These tokens are only available when you print a file. If you add a Postscript file to the print monitor the RedMon tokens are empty. Here is a list of the Redmon tokens available in PDFCreator:

REDMON_DOCNAME: | The name of the print job (e.g. "Printer Test Page").
REDMON_DOCNAME_FILE: | If REDMON_DOCNAME consists of a file name, this variable will contain the file name.
REDMON_DOCNAME_PATH: | If REDMON_DOCNAME consists of a complete file name, this variable will contain the path name. If this variable is used for the directory, all files will be saved in the same directory as the printed file. Note: Only some applcations (as e.g. Autocad or Irfanview) are depositing the complete file name. That is why this token should not be set in blanket without pre-examine the application.
REDMON_FILENAME: | The file name of the output file. If it is prompted for, the filename is used. A temporary filename is used if a temporary file is sent to the printer. This variable is empty in PDFCreator if you use other programs with RedMon.
REDMON_JOB: | The job number, represented by a integer.
REDMON_MACHINE: | The name of the machine that created the job (e.g. "\\MyComputer").
REDMON_PORT: | The port name. For a typical PDFCreator installation this variable reads, "PDFCREATOR:". Otherwise is it typically "RPT1:".
REDMON_PRINTER: | The name of the printer, typically "PDFCreator".
REDMON_USER: | The name of the user who owns the job (e.g. "JOHNDOE").
REDMON_SESSIONID: | The session id of the Windows Terminal Server client session. This value will be zero if Windows Terminal Server is not used.

With Auto-Save Mode you can choose whether you want to automatically save to a certain directory or let PDFCreator save to the desktop. Note: You can use PDF security features in Auto-Save Mode by using the PDFOwnerPasswordString and PDFUserPasswordString hidden settings. For more information on the hidden settings, click here.


Directories Properties

Directories Properties

The directories properties window allows the user to change the directories where PDFCreator accesses or stores information and files. By default, PDFCreator sets these directories for you, but you may change them to fit your system better. It is not recommended to change these directories.

Temporary Files: The directory where PDFCreator temporally creates files when making documents. It is possible to use 'PDFCreator Tokens' and environment variables in this setting, but please be carefull with this option. Not every token and environment variable made sense for this setting. It is recommend that you use only the following tokens: <Temp>, <Redmon_User>, <Redmon_Machine>, <Clientcomputername> and <Computername>. If you use environment variables, please use only system environment variables and reboot your computer after you set a system environment variable.

Example:
1.) Set the system environment variable PTPath: PTPath=C:\PDFCreator-Temp\
2.) Reboot the computer!
3.) Start PDFCreator and choose options/directories and and type %PTPath%<Redmon_User>. You should now see in the preview: C:\PDFCreator-Temp\'Preview REDMON_USER'\


Font Settings

Font Settings

The Font Settings menu allows you to change the font used in all the labels, captions and values in PDFCreator. By default, PDFCreator uses your computer's default window fonts but you can change them to any font on your computer. A test button is available to test the font in the menus without actually setting it.


PDF Settings: General

PDF Settings: General

The general settings tab of the PDF settings menu allows the user to modify some basic settings when creating a PDF.

Compatibility: Sets what version of the PDF format to use when converting a document into a PDF. The version corresponds to what version of Adobe® Acrobat® the PDF can open in.

Auto-Rotate Pages: When used, automatically rotates horizontal pages to vertical and vertical pages to horizontal. You can choose to have the entire document rotates or just a single page.

Resolution: Sets the dpi or dots per inch of the PDF. The higher the resolution the more detail the PDF will have and the larger the file size of the PDF will be.

Overprint: Overprint is when one color is intentionally printed on top of another color without blending. When creating a PDF you have the option of having overprint on or off. When overprint is off it is called Non-Zero Overprint and when it is on it is called Full Overprint.

Convert binary data to ASCII85: When checked, converts any binary data a document may contain to ASCII 85 data.


PDF Settings: Compression

PDF Settings: Compression

This menu changes the compression settings used on a PDF when it is created by PDFCreator.

Compress Text Objects: When checked, PDFCreator compresses text in documents to reduce the PDF file size.

Image Compression: As with Text objects, images can also be compressed to reduce the file size of a PDF. There are three types of images you may choose to compress: color images, grayscale images, and monochrome images. Below are the settings for image compression:

  • Compression Type: Sets the type of compression to be used when compressing image objects. There are several types of images compression including JPEG and ZIP.
  • Resample: Sets how to resample the image when compressing image objects. Resampling is when an image's pixel size is changes, and therefore the amount of pixels that are used is changed. Resampling reduces the file size of any graphic.
  • Resolution: Sets the dpi, or dots per inch images will have when compressed into a PDF.


PDF Settings: Fonts

PDF Settings: Fonts

The Fonts menu changes the settings for embedding and subsetting fonts into a PDF.

Embed all Fonts: When checked, all fonts that were used in the source document are embedded into the PDF. This allows the PDF to be opened anywhere and still be viewed correctly. This is a recommended option.

Subset Fonts: When embedding fonts, if the entire font is not used you can choose to subset a portion of it. If you chose to subset fonts, only the characters used will be embedded into the PDF. This will reduce the file size of the PDF. When checked, you set the percentage of characters the font must below before it starts to subset the font.


PDF Settings: Colors

PDF Settings: Colors

The colors menu allows the user to modify the color model and other color settings that are used when PDFCreator makes a PDF.

Color Model: The color model is a system that specifies colors in a numerical value. PDFCreator can use three different color models: RGB (Red, Green, Blue), CMYK (Cyan, Magenta, Yellow, Black), and Grayscale.

Convert CMYK images to RGB: When checked, PDFCreator converts any images in the CMYK color model into the RGB color model.

Preserve Overprint Settings: When checked, saves the overprint settings along with the typical data in the PDF file.

Preserve Transfer Functions: When checked, saves the transfer information along with the typical data in the PDF file.

Preserve Halftone Information: When checked, saves the color halftone information along with the typical data in the PDF file.


PDF Settings: Security

PDF Settings: Security

The Security menu sets the PDF security settings to encrypt PDF documents and disable many features for a more secure document.

Use Security: Enables or disables the security settings in PDFCreator.

Encryption System: PDFCreator can use two different encryption systems for its security. The first is built into Ghostscript 8.14 and greater. The second is PDFCreator's pdfenc system. Both provide advanced security with password protection and encryption up to 128 bit.

Encryption Level: Encryption prevents unauthorized copying of information contained inside of the PDF. PDFCreator can encrypt in two levels: Low (40 bit) and High(128 bit). When an encryption level is used, it restricts what versions of Adobe® Acrobat® can open the PDF. To switch to the high security, make sure that your compatibility is set to PDF 1.4 in the General tab of the PDF settings.

Passwords: With security, you can require a password to view the document (user password) and to change permissions and passwords (owner password). When checked, PDFCreator will ask for the passwords for user and/or owner when it is in the process of creating the PDF.

Disallow User: This section enables the owner of the PDF to set what the users of the document can do with it. The Owner can disallow the user to print, copy text and images, modify the document, and make or change comments.

Enhanced Permissions: These permissions are for 128 bit high security only. The owner can allow users to print in low resolution only, fill in forms, screen readers, and changes to the assembly.


PNG Settings

PNG Settings

This menu changes the settings when converting to PNG image format, or Portable Network Graphics format. PNG format should only be used to create single page documents.

Resolution: Sets the dpi or dots per inch of the image. The higher the dpi the more detailed the image will be and the larger the file size will be. The default dpi is 150.

Colors: Sets the amount of colors that should be used when converting to PNG format. The best and highest setting is 24 bit color.


JPEG Settings

JPEG Settings

This menu changes the settings when converting to the JPEG image format. JPEG format should only be used to create single page documents.

Resolution: Sets the dpi or dots per inch of the image. The higher the dpi the more detailed the image will be and the larger the file size will be. The default dpi is 150.

Colors: Sets the amount of colors that should be used when converting to JPEG format. The best and highest setting is 24 bit color.

Quality: Sets the image quality of the document when it is converted. The higher the quality, the larger the image file size will be.


BMP Settings

BMP Settings

This menu changes the settings when converting to BMP image format, or Windows Bitmap format. BMP format should only be used to create single page documents.

Resolution: Sets the dpi or dots per inch of the image. The higher the dpi the more detailed the image will be and the larger the file size will be. The default dpi is 150.

Colors: Sets the amount of colors that should be used when converting to BMP format. The best and highest setting is 24 bit color.


PCX Settings

PCX Settings

This menu changes the settings when converting to the PCX image format. PCX format should only be used to create single page documents.

Resolution: Sets the dpi or dots per inch of the image. The higher the dpi the more detailed the image will be and the larger the file size will be. The default dpi is 150.

Colors: Sets the amount of colors that should be used when converting to PCX format. The best and highest setting is 32 bit color CMYK.


TIFF Settings

TIFF Settings

This menu changes the settings when converting to the TIFF image format. TIFF format can be used for multi page documents.

Resolution: Sets the dpi or dots per inch of the image. The higher the dpi the more detailed the image will be and the larger the file size will be. The default dpi is 150.

Colors: Sets the amount of colors that should be used when converting to TIFF format. The best and highest setting is 24 bit color.


PS Settings

PS Settings

This menu changes the settings when converting to Postscript (PS) format. The Postscript format is a standard for printing and imaging.

Language Level: Sets the language level or version to use when converting a document. If you are making a Postscript file to be used for printing the printer may specify which level of Postscript it can handle. The default Language Level is 2.


EPS Settings

EPS Settings

This menu changes the settings when converting to EPS format, or Encapsulated Postscript format. The EPS format is a standard for printing and imaging.

Language Level: Sets the language level or version to use when converting a document. If you are making a EPS file to be used for printing the printer may specify which level of EPS it can handle. The default Language Level is 2.


COM Interface

COM Interface

From Version 0.8.1 RC9 the PDFCreator has a COM Interface included. So it is possible to control the PDFCreator using the command line of any other application.
Nearly all possiblities of the program are available using the COM Interface. The COM Interface includes Public classes, Public properties, Public methods and Public events.
There are no UDTs used so the compalibility will not be broken with any upgrading of UDTs.
There are "self-documenting" names used so that no further description is needed.

If the COM Interface should be tested in server mode. All settings have to saved with function cSaveOptions or the changes will have no effect.

In the sub-directory "COM" (located in the PDFCreator folder), several examples for different programming languages can be found that will demonstrate the procedure.


Public classes of the COM Interface

Public classes of the COM Interface

The following public classes of the COM Interface are available.

clsPDFCreatorError
Public Description As String
Public Number As Long

clsPDFCreatorInfoSpoolFile
Public Computer As String
Public Created As String
Public REDMON_DOCNAME As String
Public REDMON_FILENAME As String
Public REDMON_JOB As String
Public REDMON_MACHINE As String
Public REDMON_PORT As String
Public REDMON_PRINTER As String
Public REDMON_SESSIONID As String
Public REDMON_USER As String
Public SpoolFilename As String
Public SpoolerAccount As String

clsPDFCreatorOptions
Public AddWindowsFontpath As Long
Public AdditionalGhostscriptParameters As String
Public AdditionalGhostscriptSearchpath As String
Public AutosaveDirectory As String
Public AutosaveFilename As String
Public AutosaveFormat As Long
Public BMPColorscount As Long
Public BitmapResolution As Long
Public ClientComputerResolveIPAddress As Long
Public DeviceHeightPoints As Double
Public DeviceWidthPoints As Double
Public DirectoryGhostscriptBinaries As String
Public DirectoryGhostscriptFonts As String
Public DirectoryGhostscriptLibraries As String
Public DirectoryGhostscriptResource As String
Public DisableEmail As Long
Public DontUseDocumentSettings As Long
Public EPSLanguageLevel As Long
Public FilenameSubstitutions As String
Public FilenameSubstitutionsOnlyInTitle As Long
Public JPEGColorscount As Long
Public JPEGQuality As Long
Public Language As String
Public LastSaveDirectory As String
Public LogLines As Long
Public Logging As Long
Public NoConfirmMessageSwitchingDefaultprinter As Long
Public NoPSCheck As Long
Public NoProcessingAtStartup As Long
Public OnePagePerFile As Long
Public OptionsDesign As Long
Public OptionsEnabled As Long
Public OptionsVisible As Long
Public PCXColorscount As Long
Public PDFAllowAssembly As Long
Public PDFAllowDegradedPrinting As Long
Public PDFAllowFillIn As Long
Public PDFAllowScreenReaders As Long
Public PDFColorsCMYKToRGB As Long
Public PDFColorsColorModel As Long
Public PDFColorsPreserveHalftone As Long
Public PDFColorsPreserveOverprint As Long
Public PDFColorsPreserveTransfer As Long
Public PDFCompressionColorCompression As Long
Public PDFCompressionColorCompressionChoice As Long
Public PDFCompressionColorCompressionJPEGHighFactor As Double
Public PDFCompressionColorCompressionJPEGLowFactor As Double
Public PDFCompressionColorCompressionJPEGMaximumFactor As Double
Public PDFCompressionColorCompressionJPEGMediumFactor As Double
Public PDFCompressionColorCompressionJPEGMinimumFactor As Double
Public PDFCompressionColorResample As Long
Public PDFCompressionColorResampleChoice As Long
Public PDFCompressionColorResolution As Long
Public PDFCompressionGreyCompression As Long
Public PDFCompressionGreyCompressionChoice As Long
Public PDFCompressionGreyCompressionJPEGHighFactor As Double
Public PDFCompressionGreyCompressionJPEGLowFactor As Double
Public PDFCompressionGreyCompressionJPEGMaximumFactor As Double
Public PDFCompressionGreyCompressionJPEGMediumFactor As Double
Public PDFCompressionGreyCompressionJPEGMinimumFactor As Double
Public PDFCompressionGreyResample As Long
Public PDFCompressionGreyResampleChoice As Long
Public PDFCompressionGreyResolution As Long
Public PDFCompressionMonoCompression As Long
Public PDFCompressionMonoCompressionChoice As Long
Public PDFCompressionMonoResample As Long
Public PDFCompressionMonoResampleChoice As Long
Public PDFCompressionMonoResolution As Long
Public PDFCompressionTextCompression As Long
Public PDFDisallowCopy As Long
Public PDFDisallowModifyAnnotations As Long
Public PDFDisallowModifyContents As Long
Public PDFDisallowPrinting As Long
Public PDFEncryptor As Long
Public PDFFontsEmbedAll As Long
Public PDFFontsSubSetFonts As Long
Public PDFFontsSubSetFontsPercent As Long
Public PDFGeneralASCII85 As Long
Public PDFGeneralAutorotate As Long
Public PDFGeneralCompatibility As Long
Public PDFGeneralOverprint As Long
Public PDFGeneralResolution As Long
Public PDFHighEncryption As Long
Public PDFLowEncryption As Long
Public PDFOptimize As Long
Public PDFOwnerPass As Long
Public PDFOwnerPasswordString As String
Public PDFUseSecurity As Long
Public PDFUserPass As Long
Public PDFUserPasswordString As String
Public PNGColorscount As Long
Public PSLanguageLevel As Long
Public Papersize As String
Public PrintAfterSaving As Long
Public PrintAfterSavingDuplex As Long
Public PrintAfterSavingNoCancel As Long
Public PrintAfterSavingPrinter As String
Public PrintAfterSavingQueryUser As Long
Public PrintAfterSavingTumble As Long
Public PrinterStop As Long
Public PrinterTemppath As String
Public ProcessPriority As Long
Public ProgramFont As String
Public ProgramFontCharset As Long
Public ProgramFontSize As Long
Public RemoveAllKnownFileExtensions As Long
Public RemoveSpaces As Long
Public RunProgramAfterSaving As Long
Public RunProgramAfterSavingProgramParameters As String
Public RunProgramAfterSavingProgramname As String
Public RunProgramAfterSavingWaitUntilReady As Long
Public RunProgramAfterSavingWindowstyle As Long
Public RunProgramBeforeSaving As Long
Public RunProgramBeforeSavingProgramParameters As String
Public RunProgramBeforeSavingProgramname As String
Public RunProgramBeforeSavingWindowstyle As Long
Public SaveFilename As String
Public SendMailMethod As Long
Public ShowAnimation As Long
Public StampFontColor As String
Public StampFontname As String
Public StampFontsize As Long
Public StampOutlineFontthickness As Long
Public StampString As String
Public StampUseOutlineFont As Long
Public StandardAuthor As String
Public StandardCreationdate As String
Public StandardDateformat As String
Public StandardKeywords As String
Public StandardMailDomain As String
Public StandardModifydate As String
Public StandardSaveformat As String
Public StandardSubject As String
Public StandardTitle As String
Public StartStandardProgram As Long
Public TIFFColorscount As Long
Public Toolbars As Long
Public UseAutosave As Long
Public UseAutosaveDirectory As Long
Public UseCreationDateNow As Long
Public UseStandardAuthor As Long


Public properties of the COM Interface

Public properties of the COM Interface

The following public properties of the COM Interface are available.

Properties
Public Property Get cCountOfPrintjobs() As Long
Public Property Get cDefaultPrinter() As String
Public Property Let cDefaultPrinter(ByVal Printername As String)
Public Property Get cError() As clsPDFCreatorError
Public Property Get cErrorDetail(ByVal PropertyName As String) As Variant
Public Property Get cInstalledAsServer() As Boolean
Public Property Get cIsLogfileDialogDisplayed() As Boolean
Public Property Get cIsOptionsDialogDisplayed() As Boolean
Public Property Get cOption(ByVal PropertyName As String) As Variant
Public Property Let cOption(ByVal PropertyName As String, ByVal Value As Variant)
Public Property Get cOptions() As clsPDFCreatorOptions
Public Property Set cOptions(ByVal Options1 As clsPDFCreatorOptions)
Public Property Get cOptionsNames() As Collection
Public Property Get cOutputFilename() As String
Public Property Get cPDFCreatorApplicationPath() As String
Public Property Get cPostscriptInfo(ByVal PostscriptFilename As String, ByVal PropertyName As String) As String ' Valid property names: BoundingBox, CreateFor, CreationDate, Creator, DocumentData, DocumentNeededResources, DocumentSuppliedResources, LanguageLevel, Orientation, PageOrder, Pages, TargetDevice, Title
Public Property Get cPrinterStop() As Boolean
Public Property Let cPrinterStop(ByVal Value As Boolean)
Public Property Get cPrintjobFilename(ByVal JobNumber As Long) As String
Public Property Get cPrintjobInfo(ByVal PrintjobFilename As String, ByVal PropertyName As String) As String
Public Property Get cPrintjobInfos(ByVal PrintjobFilename As String) As clsPDFCreatorInfoSpoolFile
Public Property Get cProgramIsRunning() As Boolean
Public Property Get cProgramRelease(Optional ByVal WithBeta As Boolean = True) As String
Public Property Get cStandardOption(ByVal PropertyName As String) As Variant
Public Property Get cStandardOptions() As clsPDFCreatorOptions
Public Property Get cVisible() As Boolean
Public Property Let cVisible(ByVal Value As Boolean)
Public Property Get cWindowState() As Long
Public Property Let cWindowState(ByVal Value As Long) ' Value must be '0 = normal' or '1 = minimize' or '2 = maximize'
Public Property Get cWindowsVersion() As String


Public methods of the COM Interface

Public methods of the COM Interface

The following public methods of the COM Interface are available.

Functions
Public Function cClose() As Boolean
Public Function cCloseRunningSession() As Boolean
Public Function cGetLogfile() As String
Public Function cGetPDFCreatorPrinters() As Collection
Public Function cIsPrintable(ByVal Filename As String) As Boolean
Public Function cReadOptions() As clsPDFCreatorOptions
Public Function cReadOptionsFromFile(ByVal INIFilename As String) As clsPDFCreatorOptions
Public Function cStart(Optional ByVal Params As String, Optional ByVal ForceInitialize As Boolean = False) As Boolean

Subroutines
Public Sub cClearCache()
Public Sub cClearLogfile()
Public Sub cCombineAll()
Public Sub cConvertPostscriptfile(ByVal InputFilename As String, ByVal OutputFilename As String)
Public Sub cDeletePrintjob(ByVal JobNumber As Long)
Public Sub cErrorClear()
Public Sub cMovePrintjobBottom(ByVal JobNumber As Long)
Public Sub cMovePrintjobDown(ByVal JobNumber As Long)
Public Sub cMovePrintjobTop(ByVal JobNumber As Long)
Public Sub cMovePrintjobUp(ByVal JobNumber As Long)
Public Sub cPrintFile(ByVal Filename As String)
Public Sub cPrintPDFCreatorTestpage()
Public Sub cPrintPrinterTestpage(Optional ByVal Printername As String)
Public Sub cSaveOptions(ByVal Options1 As Variant) ' Options1 must be a clsPDFCreatorOptions type
Public Sub cSaveOptionsToFile(ByVal Options1 As Variant, ByVal INIFilename As String) ' Options1 must be a clsPDFCreatorOptions type
Public Sub cSendMail(ByVal OutputFilename As String, ByVal Recipients As String)
Public Sub cShowLogfileDialog(ByVal Value As Boolean)
Public Sub cShowOptionsDialog(ByVal Value As Boolean)
Public Sub cTestEvent(ByVal EventName As String)
Public Sub cWriteToLogfile(ByVal LogStr As String)


Public events of the COM Interface

Public events of the COM Interface

Events
Public Event eError()
Public Event eReady()

10 error messages exist:
-2 | Unknown Event!
-1 | Test Error Event.
1 | The ActiveX-Server has not been started! Please use function "cStart()" to start the ActiveX-Server!
2 | An instance of the PDFCreator is already running. It is not allowed to have more than one instance running!
3 | Unknown Options Name '%1' in '%2'!
4 | Ghostscript Error: '%1'!
5 | The file '%1' could not be found!
6 | No valid path or filename '%1' was given!
7 | The file '%1' is in use!
8 | Function '%1': Options1 is not a 'clsPDFCreatorOptions' type!


The Translation Tool

The Translation Tool

The Translation Tool enables you to better internationalize PDFCreator by giving the user the ability to change the language in PDFCreator. Some features of the Translation Tool are:

  • Translate PDFCreator from any language to any language and save it to language files for later use.
  • Modify existing language files to suit your needs.
  • Search the different keys and template text equivalents.
  • Quickly find the remaining blank keys in your language file.

To learn more about the Translation Tool, click on the What is a Language File? and Create a Language File articles.


What is a Language File

What is a Language File?

A language file is a special information file that stores all the text that you will see in the PDFCreator application. This makes it easy to change the application's language so a wide variety of people can use the software. Language files can be created by using the Translation Tool that accompanies the PDFCreator application.


Create a Language File

Create a Language File

To create a language file, open the Translation Tool from the PDFCreator folder. A window appears with four columns. Below is a list of the columns and what their function is:

  • Section: This column tells the user what area of the application the text is in. This column is strictly informational and is not changeable.
  • Key: This column tells the application where to place the text in the program. This column is strictly informational and is not changeable.
  • Template Text: This column contains the text that you will be translating into other languages. This column is not changeable.
  • Translated Text: This column is where you will place the translated text for your language. When you click on a row, a small box will appear so you can enter your text.

If you want to translate from a language other than English, go to File menu and click on Open Template File. In the next window, choose the language that you would like to translate from.

There are 330 different keys to translate in PDFCreator. Once all the keys have been translated, save the file to the languages folder in the PDFCreator program folder. The file should be saved as a .ini file.


Install a Language File

Install a Language File

PDFCreator already has a large collection of language files at there web site. To install a pre-made language file, just save the file to the languages folder in the PDFCreator program folder on your hard drive. The next time you start PDFCreator, the language will be available in the Language menu of the Print Monitor.


PDFCreator Online

PDFCreator Online

To get the latest information on PDFCreator, come visit the PDFCreator homepage on the web and at SourceForge.Net.


GNU General Public License

GNU GENERAL PUBLIC LICENSE
Version 2, June 1991

Copyright (C) 1989, 1991 Free Software Foundation, Inc. 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.

Preamble

The licenses for most software are designed to take away your freedom to share and change it. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users. This General Public License applies to most of the Free Software Foundation's software and to any other program whose authors commit to using it. (Some other Free Software Foundation software is covered by the GNU Library General Public License instead.) You can apply it to your programs, too.

When we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.

To protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the software, or if you modify it.

For example, if you distribute copies of such a program, whether gratis or for a fee, you must give the recipients all the rights that you have. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.

We protect your rights with two steps: (1) copyright the software, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the software.

Also, for each author's protection and ours, we want to make certain that everyone understands that there is no warranty for this free software. If the software is modified by someone else and passed on, we want its recipients to know that what they have is not the original, so that any problems introduced by others will not reflect on the original authors' reputations.

Finally, any free program is threatened constantly by software patents. We wish to avoid the danger that redistributors of a free program will individually obtain patent licenses, in effect making the program proprietary. To prevent this, we have made it clear that any patent must be licensed for everyone's free use or not licensed at all.

The precise terms and conditions for copying, distribution and modification follow.

TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION

0. This License applies to any program or other work which contains a notice placed by the copyright holder saying it may be distributed under the terms of this General Public License. The "Program", below, refers to any such program or work, and a "work based on the Program" means either the Program or any derivative work under copyright law: that is to say, a work containing the Program or a portion of it, either verbatim or with modifications and/or translated into another language. (Hereinafter, translation is included without limitation in the term "modification".) Each licensee is addressed as "you".

Activities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running the Program is not restricted, and the output from the Program is covered only if its contents constitute a work based on the Program (independent of having been made by running the Program). Whether that is true depends on what the Program does.

1. You may copy and distribute verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and give any other recipients of the Program a copy of this License along with the Program.

You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.

2. You may modify your copy or copies of the Program or any portion of it, thus forming a work based on the Program, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:

  • a) You must cause the modified files to carry prominent notices stating that you changed the files and the date of any change.

  • b) You must cause any work that you distribute or publish, that in whole or in part contains or is derived from the Program or any part thereof, to be licensed as a whole at no charge to all third parties under the terms of this License.

  • c) If the modified program normally reads commands interactively when run, you must cause it, when started running for such interactive use in the most ordinary way, to print or display an announcement including an appropriate copyright notice and a notice that there is no warranty (or else, saying that you provide a warranty) and that users may redistribute the program under these conditions, and telling the user how to view a copy of this License. (Exception: if the Program itself is interactive but does not normally print such an announcement, your work based on the Program is not required to print an announcement.)
These requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Program, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Program, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.

Thus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Program.

In addition, mere aggregation of another work not based on the Program with the Program (or with a work based on the Program) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.

3. You may copy and distribute the Program (or a work based on it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you also do one of the following:

  • a) Accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,

  • b) Accompany it with a written offer, valid for at least three years, to give any third party, for a charge no more than your cost of physically performing source distribution, a complete machine-readable copy of the corresponding source code, to be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,

  • c) Accompany it with the information you received as to the offer to distribute corresponding source code. (This alternative is allowed only for noncommercial distribution and only if you received the program in object code or executable form with such an offer, in accord with Subsection b above.)
The source code for a work means the preferred form of the work for making modifications to it. For an executable work, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the executable. However, as a special exception, the source code distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.

If distribution of executable or object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place counts as distribution of the source code, even though third parties are not compelled to copy the source along with the object code.

4. You may not copy, modify, sublicense, or distribute the Program except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense or distribute the Program is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.

5. You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Program or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Program (or any work based on the Program), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Program or works based on it.

6. Each time you redistribute the Program (or any work based on the Program), the recipient automatically receives a license from the original licensor to copy, distribute or modify the Program subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties to this License.

7. If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Program at all. For example, if a patent license would not permit royalty-free redistribution of the Program by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Program.

If any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply and the section as a whole is intended to apply in other circumstances.

It is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system, which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.

This section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.

8. If the distribution and/or use of the Program is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Program under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.

9. The Free Software Foundation may publish revised and/or new versions of the General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.

Each version is given a distinguishing version number. If the Program specifies a version number of this License which applies to it and "any later version", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of this License, you may choose any version ever published by the Free Software Foundation.

10. If you wish to incorporate parts of the Program into other free programs whose distribution conditions are different, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.

NO WARRANTY

11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.

12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

END OF TERMS AND CONDITIONS


Aladdin Free Public License

Aladdin Free Public License
(Version 9, September 18, 2000)

Copyright (C) 1994, 1995, 1997, 1998, 1999, 2000 Aladdin Enterprises,
Menlo Park, California, U.S.A. All rights reserved.

NOTE: This License is not the same as any of the GNU Licenses published by the Free Software Foundation. Its terms are substantially different from those of the GNU Licenses. If you are familiar with the GNU Licenses, please read this license with extra care.

Aladdin Enterprises hereby grants to anyone the permission to apply this License to their own work, as long as the entire License (including the above notices and this paragraph) is copied with no changes, additions, or deletions except for changing the first paragraph of Section 0 to include a suitable description of the work to which the license is being applied and of the person or entity that holds the copyright in the work, and, if the License is being applied to a work created in a country other than the United States, replacing the first paragraph of Section 6 with an appropriate reference to the laws of the appropriate country.

This License is not an Open Source license: among other things, it places restrictions on distribution of the Program, specifically including sale of the Program. While Aladdin Enterprises respects and supports the philosophy of the Open Source Definition, and shares the desire of the GNU project to keep licensed software freely redistributable in both source and object form, we feel that Open Source licenses unfairly prevent developers of useful software from being compensated proportionately when others profit financially from their work. This License attempts to ensure that those who receive, redistribute, and contribute to the licensed Program according to the Open Source and Free Software philosophies have the right to do so, while retaining for the developer(s) of the Program the power to make those who use the Program to enhance the value of commercial products pay for the privilege of doing so.

0. Subject Matter

This License applies to the computer program known as "AFPL Ghostscript." The "Program", below, refers to such program. The Program is a copyrighted work whose copyright is held by artofcode LLC, located in Benicia, California (the "Licensor"). Please note that AFPL Ghostscript is neither the program known as "GNU Ghostscript" nor the version of Ghostscript available for commercial licensing from Artifex Software Inc.

A "work based on the Program" means either the Program or any derivative work of the Program, as defined in the United States Copyright Act of 1976, such as a translation or a modification.

BY MODIFYING OR DISTRIBUTING THE PROGRAM (OR ANY WORK BASED ON THE PROGRAM), YOU INDICATE YOUR ACCEPTANCE OF THIS LICENSE TO DO SO, AND ALL ITS TERMS AND CONDITIONS FOR COPYING, DISTRIBUTING OR MODIFYING THE PROGRAM OR WORKS BASED ON IT. NOTHING OTHER THAN THIS LICENSE GRANTS YOU PERMISSION TO MODIFY OR DISTRIBUTE THE PROGRAM OR ITS DERIVATIVE WORKS. THESE ACTIONS ARE PROHIBITED BY LAW. IF YOU DO NOT ACCEPT THESE TERMS AND CONDITIONS, DO NOT MODIFY OR DISTRIBUTE THE PROGRAM.

1. Licenses.

Licensor hereby grants you the following rights, provided that you comply with all of the restrictions set forth in this License and provided, further, that you distribute an unmodified copy of this License with the Program:

(a)
You may copy and distribute literal (i.e., verbatim) copies of the Program's source code as you receive it throughout the world, in any medium.
(b)
You may modify the Program, create works based on the Program and distribute copies of such throughout the world, in any medium.
2. Restrictions.

This license is subject to the following restrictions:

(a)
Distribution of the Program or any work based on the Program by a commercial organization to any third party is prohibited if any payment is made in connection with such distribution, whether directly (as in payment for a copy of the Program) or indirectly (as in payment for some service related to the Program, or payment for some product or service that includes a copy of the Program "without charge"; these are only examples, and not an exhaustive enumeration of prohibited activities). The following methods of distribution involving payment shall not in and of themselves be a violation of this restriction:
(i)
Posting the Program on a public access information storage and retrieval service for which a fee is received for retrieving information (such as an on-line service), provided that the fee is not content-dependent (i.e., the fee would be the same for retrieving the same volume of information consisting of random data) and that access to the service and to the Program is available independent of any other product or service. An example of a service that does not fall under this section is an on-line service that is operated by a company and that is only available to customers of that company. (This is not an exhaustive enumeration.)
(ii)
Distributing the Program on removable computer-readable media, provided that the files containing the Program are reproduced entirely and verbatim on such media, that all information on such media be redistributable for non-commercial purposes without charge, and that such media are distributed by themselves (except for accompanying documentation) independent of any other product or service. Examples of such media include CD-ROM, magnetic tape, and optical storage media. (This is not intended to be an exhaustive list.) An example of a distribution that does not fall under this section is a CD-ROM included in a book or magazine. (This is not an exhaustive enumeration.)
(b)
Activities other than copying, distribution and modification of the Program are not subject to this License and they are outside its scope. Functional use (running) of the Program is not restricted, and any output produced through the use of the Program is subject to this license only if its contents constitute a work based on the Program (independent of having been made by running the Program).
(c)
You must meet all of the following conditions with respect to any work that you distribute or publish that in whole or in part contains or is derived from the Program or any part thereof ("the Work"):
(i)
If you have modified the Program, you must cause the Work to carry prominent notices stating that you have modified the Program's files and the date of any change. In each source file that you have modified, you must include a prominent notice that you have modified the file, including your name, your e-mail address (if any), and the date and purpose of the change;
(ii)
You must cause the Work to be licensed as a whole and at no charge to all third parties under the terms of this License;
(iii)
If the Work normally reads commands interactively when run, you must cause it, at each time the Work commences operation, to print or display an announcement including an appropriate copyright notice and a notice that there is no warranty (or else, saying that you provide a warranty). Such notice must also state that users may redistribute the Work only under the conditions of this License and tell the user how to view the copy of this License included with the Work. (Exceptions: if the Program is interactive but normally prints or displays such an announcement only at the request of a user, such as in an "About box", the Work is required to print or display the notice only under the same circumstances; if the Program itself is interactive but does not normally print such an announcement, the Work is not required to print an announcement.);
(iv)
You must accompany the Work with the complete corresponding machine-readable source code, delivered on a medium customarily used for software interchange. The source code for a work means the preferred form of the work for making modifications to it. For an executable work, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the executable code. If you distribute with the Work any component that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, you must also distribute the source code of that component if you have it and are allowed to do so;
(v)
If you distribute any written or printed material at all with the Work, such material must include either a written copy of this License, or a prominent written indication that the Work is covered by this License and written instructions for printing and/or displaying the copy of the License on the distribution medium;
(vi)
You may not impose any further restrictions on the recipient's exercise of the rights granted herein.

If distribution of executable or object code is made by offering the equivalent ability to copy from a designated place, then offering equivalent ability to copy the source code from the same place counts as distribution of the source code, even though third parties are not compelled to copy the source code along with the object code.

3. Reservation of Rights.

No rights are granted to the Program except as expressly set forth herein. You may not copy, modify, sublicense, or distribute the Program except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense or distribute the Program is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.

4. Other Restrictions.

If the distribution and/or use of the Program is restricted in certain countries for any reason, Licensor may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.

5. Limitations.

THE PROGRAM IS PROVIDED TO YOU "AS IS," WITHOUT WARRANTY. THERE IS NO WARRANTY FOR THE PROGRAM, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.

IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL LICENSOR, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

6. General.

This License is governed by the laws of the State of California, U.S.A., excluding choice of law rules.

If any part of this License is found to be in conflict with the law, that part shall be interpreted in its broadest meaning consistent with the law, and no other parts of the License shall be affected.

For United States Government users, the Program is provided with RESTRICTED RIGHTS. If you are a unit or agency of the United States Government or are acquiring the Program for any such unit or agency, the following apply:

If the unit or agency is the Department of Defense ("DOD"), the Program and its documentation are classified as "commercial computer software" and "commercial computer software documentation" respectively and, pursuant to DFAR Section 227.7202, the Government is acquiring the Program and its documentation in accordance with the terms of this License. If the unit or agency is other than DOD, the Program and its documentation are classified as "commercial computer software" and "commercial computer software documentation" respectively and, pursuant to FAR Section 12.212, the Government is acquiring the Program and its documentation in accordance with the terms of this License.


Support PDFCreator

Support PDFCreator

No open source project would exist if it wasn't for the amazing devotion of the developers. If you would like to show your support and thanks to the developers of PDFCreator, you can donate to PDFCreator through PayPal. Just click the button below and follow the directions on the screen.

Make payments with PayPal - it's fast, free and secure!


Acknowledgements

Acknowledgements

The creators of PDFCreator would like to thank the following people for their support:

Authors:
Philip Chinery
Frank Heindörfer

Special Thanks:
All Beta Testers
All Authors of the Language Files
Matt Bertolini
And all others who have helped us!